/*
Theme Name: Twenty Twenty-Two Child
Version: 1.1
Template: twentytwentytwo
*/

.accordion-title {
    pointer-events: all;
    cursor: pointer;
    position: relative;
}

/* アコーディオンが閉じているとき */
.accordion-content {
    visibility: hidden;
    opacity: 0;
    height: 0;
    transition: all .3s ease;
    margin-block-start: 0;
}

.accordion-title::before {
    display: block;
    font-family: "Font Awesome 6 Free";
    font-weight: 900; /* ソリッドアイコンのためにフォントウェイトを正しく設定 */
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    content: "\f107"; /* 閉じているときのアイコンのUnicode */
    font-size: 1.5rem;
}

/* アコーディオンが開いているとき */
.accordion-title.accordion-open + .accordion-content {
    visibility: visible;
    opacity: 1;
    height: auto;
    padding: 2rem 1rem;
    border-top: 1px gray dotted;
}

.accordion-title.accordion-open::before {
    content: "\f106"; /* 開いているときのアイコンのUnicode */
}